Package com.usatiuk.dhfs.persistence

# Class ObjectChangelog

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.usatiuk.dhfs.persistence.ObjectChangelog

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ObjectChangelogOrBuilder`, `Serializable`

public final class ObjectChangelog extends com.google.protobuf.GeneratedMessageV3 implements ObjectChangelogOrBuilder
Protobuf type `dhfs.persistence.ObjectChangelog`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ObjectChangelog.Builder`
Protobuf type `dhfs.persistence.ObjectChangelog`
`static final class`
`ObjectChangelog.entries_Entry`
Protobuf type `dhfs.persistence.ObjectChangelog.entries_Entry`
`static interface`
`ObjectChangelog.entries_EntryOrBuilder`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ENTRIES_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`static ObjectChangelog`
`getDefaultInstance()`
`ObjectChangelog`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`ObjectChangelog.entries_Entry`
`getEntries(int index)`
`repeated .dhfs.persistence.ObjectChangelog.entries_Entry entries = 1;`
`int`
`getEntriesCount()`
`repeated .dhfs.persistence.ObjectChangelog.entries_Entry entries = 1;`
`List<ObjectChangelog.entries_Entry>`
`getEntriesList()`
`repeated .dhfs.persistence.ObjectChangelog.entries_Entry entries = 1;`
`ObjectChangelog.entries_EntryOrBuilder`
`getEntriesOrBuilder(int index)`
`repeated .dhfs.persistence.ObjectChangelog.entries_Entry entries = 1;`
`List<? extends ObjectChangelog.entries_EntryOrBuilder>`
`getEntriesOrBuilderList()`
`repeated .dhfs.persistence.ObjectChangelog.entries_Entry entries = 1;`
`com.google.protobuf.Parser<ObjectChangelog>`
`getParserForType()`
`int`
`getSerializedSize()`
`int`
`hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`static ObjectChangelog.Builder`
`newBuilder()`
`static ObjectChangelog.Builder`
`newBuilder(ObjectChangelog prototype)`
`ObjectChangelog.Builder`
`newBuilderForType()`
`protected ObjectChangelog.Builder`
`newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object`
`newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static ObjectChangelog`
`parseDelimitedFrom(InputStream input)`
`static ObjectChangelog`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ObjectChangelog`
`parseFrom(byte[] data)`
`static ObjectChangelog`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ObjectChangelog`
`parseFrom(com.google.protobuf.ByteString data)`
`static ObjectChangelog`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ObjectChangelog`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static ObjectChangelog`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ObjectChangelog`
`parseFrom(InputStream input)`
`static ObjectChangelog`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ObjectChangelog`
`parseFrom(ByteBuffer data)`
`static ObjectChangelog`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<ObjectChangelog>`
`parser()`
`ObjectChangelog.Builder`
`toBuilder()`
`void`
`writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### ENTRIES_FIELD_NUMBER

public static final int ENTRIES_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### newInstance

protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getEntriesList

public List<ObjectChangelog.entries_Entry> getEntriesList()
`repeated .dhfs.persistence.ObjectChangelog.entries_Entry entries = 1;`

Specified by:
  `getEntriesList` in interface `ObjectChangelogOrBuilder`

### getEntriesOrBuilderList

public List<? extends ObjectChangelog.entries_EntryOrBuilder> getEntriesOrBuilderList()
`repeated .dhfs.persistence.ObjectChangelog.entries_Entry entries = 1;`

Specified by:
  `getEntriesOrBuilderList` in interface `ObjectChangelogOrBuilder`

### getEntriesCount

public int getEntriesCount()
`repeated .dhfs.persistence.ObjectChangelog.entries_Entry entries = 1;`

Specified by:
  `getEntriesCount` in interface `ObjectChangelogOrBuilder`

### getEntries

public ObjectChangelog.entries_Entry getEntries(int index)
`repeated .dhfs.persistence.ObjectChangelog.entries_Entry entries = 1;`

Specified by:
  `getEntries` in interface `ObjectChangelogOrBuilder`

### getEntriesOrBuilder

public ObjectChangelog.entries_EntryOrBuilder getEntriesOrBuilder(int index)
`repeated .dhfs.persistence.ObjectChangelog.entries_Entry entries = 1;`

Specified by:
  `getEntriesOrBuilder` in interface `ObjectChangelogOrBuilder`

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static ObjectChangelog parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ObjectChangelog parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ObjectChangelog parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ObjectChangelog parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ObjectChangelog parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ObjectChangelog parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ObjectChangelog parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ObjectChangelog parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ObjectChangelog parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ObjectChangelog parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static ObjectChangelog parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ObjectChangelog parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public ObjectChangelog.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static ObjectChangelog.Builder newBuilder()

### newBuilder

public static ObjectChangelog.Builder newBuilder(ObjectChangelog prototype)

### toBuilder

public ObjectChangelog.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected ObjectChangelog.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static ObjectChangelog getDefaultInstance()

### parser

public static com.google.protobuf.Parser<ObjectChangelog> parser()

### getParserForType

public com.google.protobuf.Parser<ObjectChangelog> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public ObjectChangelog getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`